Bug 50296 - Picks wrong source address on multi-interface system.
Picks wrong source address on multi-interface system.
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-07-29 22:09 EDT by Russell McOrmond
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-29 22:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell McOrmond 2001-07-29 22:09:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.1 i586)

Description of problem:
On a system with more than one interface (EG: eth0, ppp0), traceroute will
pick the wrong source address.  If this ends up being an unroutable address
(IE: Private-net interface on a firewall) then traceroute will not return
anything.  Problem is fixed in 1.4a12 version of Traceroute.

How reproducible:

Steps to Reproduce:
1. configure multi-interface machine (eth0 is private net, ppp0 is public

2. try to traceroute to external IP address


Actual Results:  1 * * *
2 * * *

...etc ;-)

Additional info:

There are many patches that you apply to the 1.4a5 version that you build
that may not apply to the current version.  Someone will need to look at
each patch and see if the traceroute team has fixed them.  Additionally,
you should send in any of the relevant patches to them to include (IE:
Patch to increase MAXHOSTNAMELEN, possibly using a define not already
included in the linux headers).
Comment 1 Phil Knirsch 2001-07-30 07:33:08 EDT
Has already been fixed in rawhide by updating to the newest traceroute source.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.